Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_TieDirectoryGroup

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryObject

            |

            +--oracle.ifs.server.S_TieLibraryObject

                  |

                  +--oracle.ifs.server.S_PublicObject

                        |

                        +--oracle.ifs.server.S_TiePublicObject

                              |

                              +--oracle.ifs.server.S_DirectoryObject

                                    |

                                    +--oracle.ifs.server.S_TieDirectoryObject

                                          |

                                          +--oracle.ifs.server.S_DirectoryGroup

                                                |

                                                +--oracle.ifs.server.S_TieDirectoryGroup

All Implemented Interfaces:
  DirectoryObjectInterface, IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

public class S_TieDirectoryGroup
extends S_DirectoryGroup

An S_TieDirectoryGroup allows the Oracle-defined behavior of the DIRECTORYGROUP classobject (and its subclasses) to be extended or overridden through the server extensibility API.

See Also:
  `S_DirectoryGroup`

Constructor Summary
`protected` | `S_TieDirectoryGroup(S_LibrarySession session, java.lang.Long classId)` Constructs an S_TieDirectoryGroup for a new DIRECTORYGROUP.
`protected` | `S_TieDirectoryGroup(S_LibrarySession session, S_LibraryObjectData data)` Constructs an S_TieDirectoryGroup for an existing DIRECTORYGROUP.

Methods inherited from class oracle.ifs.server.S_DirectoryGroup
`addMember, addMembers, deriveDefinition, extendedPreFree, getAllMembers, isMember, removeMember, removeMembers`

Methods inherited from class oracle.ifs.server.S_DirectoryObject
`getAllAncestors, getDirectAncestors, getDirectMembers`

Methods inherited from class oracle.ifs.server.S_PublicObject
`addRelationship, extendedPreInsert, extendedPreUpdate, getCategories, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getReferencingFolders, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getVersionDescriptions, hasNameAttribute, isLocked, isVersionable, removeRelationship`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`equals, free, getAttribute, getAttributeByUpperCaseName, getClassId, getClassObject, getId, getSession, handleEvent, isTraced, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Constructor Detail

### S_TieDirectoryGroup

    protected S_TieDirectoryGroup(S_LibrarySession session,
                                  S_LibraryObjectData data)
                           throws IfsException

  Constructs an S_TieDirectoryGroup for an existing DIRECTORYGROUP.
  Parameters:
    `session` - the session
    `data` - the data
  Throws:
    `IfsException` - if the operation fails

### S_TieDirectoryGroup

    protected S_TieDirectoryGroup(S_LibrarySession session,
                                  java.lang.Long classId)
                           throws IfsException

  Constructs an S_TieDirectoryGroup for a new DIRECTORYGROUP.
  Parameters:
    `session` - the session
    `classId` - the class id
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD